<?php
require_once("../../app/functions.php");
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__)))
    exit;
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, true, true, (!isset($_GET["id"])) ? 'Crear motivo' : 'Modificar motivo', true, true);
//Comprobar si es admin
if (!isset($_SESSION['tipo_usuario']) || $_SESSION['tipo_usuario'] != 'admin') {
    header("Location: " . SITIO_CARPETA . "/views/tables/fichajes?tipo=error&mensaje=No tienes acceso a esta página");
    exit;
}
$pag = basename($_SERVER['PHP_SELF']);
if (isset($_GET['id'])) {
    $id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);
    $motivo = consulta('SELECT * FROM motivos WHERE id=?;', [$id], true)[0];
}
?>
<section class="cristal" <?= (!get_config_usuario($_SESSION['id_usuario'], 'reducir_efectos_movimiento')) ? 'style="view-transition-name: cristal;"' : '' ?>>
    <h1><?= (!isset($_GET["id"])) ? 'Crear' : 'Actualizar' ?> motivo</h1>
    <form name="<?= (!isset($_GET["id"])) ? 'Crear' : 'Actualizar' ?> motivo" method="POST" action="/app/forms/motivo"
        class="flex column gap1">
        <input type="hidden" name="csrf_token" value="<?= $_SESSION['csrf_token'] ?? '' ?>">
        <?= (isset($_GET["id"])) ? "<input type='hidden' name='id' value='$id' id='id'>" : ''; ?>
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre" id="nombre" value="<?= (isset($_GET["id"])) ? $motivo["nombre"] : '' ?>"
            required />
        <?php if (SISTEMA_INCIDENCIAS): ?>
            <label for="resolucion">Resolución</label>
            <section class="flex row">
                <button onclick="restarvalor(event)" id="menos">
                    <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 448 512">
                        <path d="M432 256c0 17.7-14.3 32-32 32L48 288c-17.7 0-32-14.3-32-32s14.3-32 32-32l352
                        0c17.7 0 32 14.3 32 32z" />
                    </svg>
                </button>
                <input type="number" min="-8" max="8" value="<?= (isset($_GET["id"])) ? $motivo["resolucion"] : '0' ?>"
                    name="resolucion" id="resolucion" required />
                <button onclick="sumarvalor(event)" id="mas">
                    <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 448 512">
                        <path d="M256 80c0-17.7-14.3-32-32-32s-32 14.3-32 32V224H48c-17.7 0-32 14.3-32 32s14.3 32
                        32 32H192V432c0 17.7 14.3 32 32 32s32-14.3 32-32V288H400c17.7 0 32-14.3
                        32-32s-14.3-32-32-32H256V80z" />
                    </svg>
                </button>
            </section>
            <label for="modificar_horario" id="toggle-slot"> Horario modificable
                <input class="toggle-checkbox" type="checkbox" name="modificar_horario" id="modificar_horario"
                    <?= (isset($_GET["id"]) && $motivo["modificar_horario"]) ? 'checked' : '' ?>>
                <div class="toggle-slot">
                    <div class="sun-icon-wrapper">
                        <div class="iconify sun-icon" data-icon="feather-sun" data-inline="false"></div>
                    </div>
                    <div class="toggle-button"></div>
                    <div class="moon-icon-wrapper">
                        <div class="iconify moon-icon" data-icon="feather-moon" data-inline="false"></div>
                    </div>
                </div>
            </label>
        <?php else: ?>
            <input type="hidden" name="resolucion" value="<?= (isset($_GET["id"])) ? $motivo["resolucion"] : '0' ?>">
            <?php if (isset($_GET["id"]) && $motivo["modificar_horario"]): ?>
                <input type="hidden" name="modificar_horario" value="1">
            <?php endif; ?>
        <?php endif; ?>
        <button type="submit" class="btn-p">
            <?= (!isset($_GET["id"])) ? 'Crear' : 'Actualizar' ?> motivo
        </button>
    </form>
</section>
<script>
    document.addEventListener("DOMContentLoaded", function () {
        var checkbox = document.getElementById("modificar_horario");
        var label = document.getElementById("toggle-slot");

        label.addEventListener("click", function () {
            if (checkbox.checked) {
                document.getElementById("modificar_horario").checked = true;
            } else {
                document.getElementById("modificar_horario").checked = false;
            }

        });
    });

    function restarvalor(event) {
        event.preventDefault();
        var resolucionElement = document.getElementById("resolucion");
        var resolucion = parseInt(resolucionElement.value, 10);
        if (resolucion > -8) {
            resolucion--;
            resolucionElement.value = resolucion;
        } else crear_notificacion('error', 'No puedes cambiar a ese valor');
    }

    function sumarvalor(event) {
        event.preventDefault();
        var resolucionElement = document.getElementById("resolucion");
        var resolucion = parseInt(resolucionElement.value, 10);
        if (resolucion < 8) {
            resolucion++;
            resolucionElement.value = resolucion;
        } else crear_notificacion('error', 'No puedes cambiar a ese valor');
    }
</script>
<?php footer(true); ?>